maven-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Gruust (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (MENFORCER-270) option to forbid plugin snapshot versions only when releasing
Date Mon, 12 Jun 2017 00:42:18 GMT

     [ https://issues.apache.org/jira/browse/MENFORCER-270?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Gruust closed MENFORCER-270.
----------------------------
    Resolution: Won't Fix

> option to forbid plugin snapshot versions only when releasing
> -------------------------------------------------------------
>
>                 Key: MENFORCER-270
>                 URL: https://issues.apache.org/jira/browse/MENFORCER-270
>             Project: Maven Enforcer Plugin
>          Issue Type: Improvement
>          Components: Standard Rules
>    Affects Versions: 1.4.1
>            Reporter: Gruust
>            Priority: Minor
>
> Basically, it would be nice if plugin versions would be treated similar to regular dependencies,
ie. have a standard rule that only complains about snapshot plugin versions when trying to
release the project. That's especially helpful when having maven plugin sub-modules as part
of a larger multi-module project.



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message